{* Example of resizeable
{include file='include/autosize.inc.tpl'}
*}

{if isset($errors)}
<div class="errors">
	<ul>
		{foreach from=$errors item=error}
		<li>{$error}</li>
		{/foreach}
	</ul>
</div>
{/if}
{if isset($infos)}
<div class="infos">
	<ul>
		{foreach from=$infos item=info}
		<li>{$info}</li>
		{/foreach}
	</ul>
</div>
{/if}

{if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}

<div id="imageHeaderBar">
	<div class="browsePath">
  	<a href="{$U_HOME}">
      <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a>
      {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE|replace:'<br/>':''}{/if}
      {$LEVEL_SEPARATOR} <small>{'Viewing name'|@translate}:</small> {$current.TITLE}
	</div>
	<div class="imageNumber">{$PHOTO}</div>
	{if $SHOW_PICTURE_NAME_ON_TITLE}
	<h2>{$current.TITLE}</h2>
	{/if}
</div>

<div id="imageToolBar">
<div class="actionButtons">
{strip}{if isset($U_SLIDESHOW_START)}
	<a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-slideshow"> </span><span class="pwg-button-text">{'slideshow'|@translate}</span>
	</a>
{/if}{/strip}
{strip}{if isset($U_METADATA)}
	<a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-camera-info"> </span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
	</a>
{/if}{/strip}
{strip}{if isset($current.U_DOWNLOAD)}
	<a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-save"> </span><span class="pwg-button-text">{'download'|@translate}</span>
	</a>
{/if}{/strip}
{if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
{strip}{if isset($favorite)}
	<a href="{$favorite.U_FAVORITE}" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span>
	</a>
{/if}{/strip}
{strip}{if isset($U_SET_AS_REPRESENTATIVE)}
	<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-representative"> </span><span class="pwg-button-text">{'representative'|@translate}</span>
	</a>
{/if}{/strip}
{strip}{if isset($U_ADMIN)}
	<a href="{$U_ADMIN}" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
	</a>
{/if}{/strip}
{strip}{if isset($U_CADDIE)}{*caddie management BEGIN*}
{footer_script}
{literal}function addToCadie(aElement, rootUrl, id)
{
if (aElement.disabled) return;
aElement.disabled=true;
var y = new PwgWS(rootUrl);
y.callService(
	"pwg.caddie.add", {image_id: id} ,
	{
		onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
		onSuccess: function(result) { aElement.disabled = false; }
	}
	);
}{/literal}
{/footer_script}
	<a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL}', {$current.id}); return false;" title="{'add to caddie'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
		<span class="pwg-icon pwg-icon-caddie-add"> </span><span class="pwg-button-text">{'caddie'|@translate}</span>
	</a>
{/if}{/strip}{*caddie management END*}
</div>

	{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
</div>{*<!-- imageToolBar -->*}

<div id="theImage">
{$ELEMENT_CONTENT}
{if isset($COMMENT_IMG)}
<table>
  <tr>
    <td>
	    <p>{$COMMENT_IMG}</p>
	</td>
  </tr>
</table>
{/if}

{if isset($U_SLIDESHOW_STOP)}
<p>
	[ <a href="{$U_SLIDESHOW_STOP}">{'stop the slideshow'|@translate}</a> ]
</p>
{/if}

</div>

{if $DISPLAY_NAV_THUMB}
{if isset($previous)}
<a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">
	<img src="{$previous.THUMB_SRC}" alt="{$previous.TITLE}">
</a>
{/if}
{if isset($next)}
<a class="navThumb" id="linkNext" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">
	<img src="{$next.THUMB_SRC}" alt="{$next.TITLE}">
</a>
{/if}
{/if}

<table id="standard" class="infoTable">
{strip}
  <tr>
	{if $display_info.author}
		<td id="Author" class="label">{'Author'|@translate}</td>
		<td class="value">{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</td>
		{if isset($COMMENT_LIC)}
		  <td class="label">{'Licence area'|@translate}</td>
          <td class="value"><p>{if isset($COMMENT_LIC)}{$COMMENT_LIC}{else}{'N/A'|@translate}{/if}</p></td>
		{/if}
	{/if}
  </tr>

  <tr>
	{if $display_info.created_on}
		<td id="datecreate" class="label">{'Created on'|@translate}</td>
		<td class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
	{/if}
	{if $display_info.posted_on}
		<td id="datepost" class="label">{'Posted on'|@translate}</td>
		<td class="value">{$INFO_POSTED_DATE}</td>
	{/if}
  </tr>

  <tr>
	{if $display_info.tags}
		<td id="Tags" class="label">{'Tags'|@translate}</td>
		<td class="value">
			{if isset($related_tags)}
				{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}<a href="{$tag.URL}">{$tag.name}</a>{/foreach}
			{/if}
		</td>
	{/if}
	{if $display_info.categories}
		<td id="Categories" class="label">{'Albums'|@translate}</td>
		<td class="value">
			{if isset($related_categories)}
			<ul>
				{foreach from=$related_categories item=cat}
				<li>{$cat}</li>
				{/foreach}
			</ul>
			{/if}
		</td>
	{/if}
  </tr>

  <tr>
  	{if $display_info.file}
		<td id="Filesize" class="label">{'File'|@translate}</td>
		<td class="value"><p>{$INFO_FILE}, <small>
	    {if $display_info.dimensions}{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS}{else}{'N/A'|@translate}{/if}, {/if}
		{if $display_info.filesize}{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}{/if}
	  </small></p>
	{/if}
	{if $display_info.visits}
		<td id="Visits" class="label">{'Visits'|@translate}</td>
		<td class="value">
		  <p>
		    {$INFO_VISITS}  {'Visits'|@translate}
		    {if $display_info.average_rate and isset($rate_summary)}, <span id="Average" class="ratingSummary">
		{if $rate_summary.count}
			{assign var='rate_text' value='%.2f (rated %d times)'|@translate}
			{$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count)}
		{else}
			{'no rate'|@translate}
		  </span>{/if}
		  </p>
		</td>
		{/if}
	{/if}
  </tr>

  <tr>
    {if isset($rating)}
	  <td id="rating" class="label">
		<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span>
	  </td>
	  <td class="value">
		<form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
		<div>
		{foreach from=$rating.marks item=mark name=rate_loop}
		  {if isset($rating.USER_RATE) && $mark==$rating.USER_RATE}
		    <input type="button" name="rate" value="{$mark}" class="rateButtonSelected" title="{$mark}">
		  {else}
		    <input type="submit" name="rate" value="{$mark}" class="rateButton" title="{$mark}">
		  {/if}
		{/foreach}
		{strip}{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
		{combine_script id='rating' load='async' require='core.scripts' path='themes/default/js/rating.js'}
		{footer_script}
			var _pwgRatingAutoQueue = _pwgRatingAutoQueue||[];
			_pwgRatingAutoQueue.push( {ldelim}rootUrl: '{$ROOT_URL}', image_id: {$current.id},
				updateRateText: "{'Update your rating'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
				ratingSummaryText: "{'%.2f (rated %d times)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary"){rdelim} );
		{/footer_script}
		{/strip}
		</div>
		</form>
		</td>
	{/if}

	{if $display_info.privacy_level and isset($available_permission_levels)}
		<td id="Privacy" class="label">{'Who can see this photo?'|@translate}</td>
		<td class="value">
			{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
			{footer_script}
			{literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
			{
				selectElement.disabled = true;
				var y = new PwgWS(rootUrl);
				y.callService(
			"pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
				{
					method: "POST",
					onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
					onSuccess: function(result) { selectElement.disabled = false; }
				}
				);
			}
			{/literal}
			{/footer_script}
				<select onchange="setPrivacyLevel(this, '{$ROOT_URL}', {$current.id}, this.options[selectedIndex].value)">
					{foreach from=$available_permission_levels item=label key=level}
						<option label="{$label}" value="{$level}"{if $level == $current.level} selected="selected"{/if}>{$label}</option>
					{/foreach}
				</select>
		</td>
	{/if}
	{/strip}
  </tr>
</table>

{if isset($metadata)}
<table id="Metadata" class="infoTable2">
{foreach from=$metadata item=meta}
	<tr id="{$meta.TITLE}">
		<th colspan="2">{$meta.TITLE}</th>
	</tr>
	{foreach from=$meta.lines item=value key=label}
	<tr id="{$label}">
		<td class="label">{$label}</td>
		<td class="value">{$value}</td>
	</tr>
	{/foreach}
{/foreach}
</table>
{/if}

<hr class="separation">

{if isset($COMMENT_COUNT)}
<div id="comments">
	{if $COMMENT_COUNT > 0}
		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
	{/if}
	{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}

	{if isset($comments)}
		{include file='comment_list.tpl'}
	{/if}

	{if isset($comment_add)}
	<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
	<fieldset>
		<label><textarea name="content" id="contentid" rows="5" cols="62" onFocus="if(this.value=='Votre commentaire ici. Merci')this.value=''">Votre commentaire ici. Merci{$comment_add.CONTENT}</textarea></label>
		<legend>{'Add a comment'|@translate}</legend>

		  {if $comment_add.SHOW_AUTHOR}
		    <span>
			  <label id="commentateur">
			    {'upload author'|@translate}
			    <input type="text" name="author">
			    <input type="submit" value="{'Submit comment'|@translate}">
		      </label>
			<span>
		  {else}
		    <span>
			  <label id="commentateur"><input type="submit" value="{'Submit comment'|@translate}"></label>
			</span>
		  {/if}
		<input type="hidden" name="key" value="{$comment_add.KEY}">
	</fieldset>
	</form>
	{/if}
</div>
{/if}{*comments*}

{if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}
